Subject: Bug#699 closed by Michael DePaulo <[email-masked]> (I fixed this bug, but now #714 is a problem)

From: [email-masked] (X2Go Bug Tracking System)
Date: Sat, 03 Jan 2015 16:05:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the buildscripts package:

#699: epel 5 repos have signature errors

It has been closed by Michael DePaulo <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael DePaulo <[email-masked]> by
replying to this email.

-- 
699: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=699
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: I fixed this bug, but now #714 is a problem
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Sat, 3 Jan 2015 11:04:44 -0500

I fixed this bug in buildscript.git via commit 1c1553a .

Per the advise of MIke#1, I then rebuilt the EPEL5 packages only by
running commands like the following on japsand.x2go.org as x2go-admin:
NO_DELAY=yes FORCE_BUILD=yes RPM_BUILD_FOR="epel:5"
x2go-build+upload-rpm-package nx-libs main
(I had to run "git pull" under ~x2go-admin/buildscripts/ 1st.)

I tested the fix successfully. The fixed packages have version strings
like the following:
4.0.1.18-0.0x2go1.1.git20150103.949.main.el5.centos

However, I discovered bug #714 along the way. So X2Go Server's support
for epel 5 is still broken :(

Subject: epel 5 repos have signature errors
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Fri, 12 Dec 2014 09:22:30 -0500

Package: buildscripts
Severity: normal

As reported here:

http://lists.x2go.org/pipermail/x2go-user/2014-December/002705.html

A CentOS 5 user is getting these errors:

error: nx-libs-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header V4
RSA/SHA1 signature: BAD, key ID 5bfe2b6e
error: libXcomp-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header V4
RSA/SHA1 signature: BAD, key ID 5bfe2b6e
etc....

The cause appears to be that CentOS 5 cannot handle V4 signatures, only V3.
http://adminotes.blogspot.fr/2011/12/centos-6-rpm-sign-problem-v4-signatures.html